namespace IDIS.Models
{
	/// <summary>
	/// IDIS的编码常量
	/// </summary>
	public static class IDIS_Code
	{
		/// <summary>
		/// 标识码的正则表达式,例如88.123.99/CN20230915
		/// </summary>
		public const string AddressRegex = @"^\d{1,3}\.\d{1,3}\.\d{1,3}/[A-Za-z0-9]{1,32}$";
		public const string Prefix = @"^\d{1,3}\.\d{1,3}\.\d{1,3}$";
	}
}
