
using System;
using Newtonsoft.Json;

namespace IDIS.Models
{

	public record IDIS_Data
	{
		[JsonProperty("prefixType")]
		public int PrefixType { get; set; }

		[JsonProperty("metaDataInfo")]
		public IDIS_MetaDataInfo MetaDataInfo { get; set; } = new();
		
		[JsonProperty("pmsReg")]
		public bool PmsReg { get; set; }

		[JsonProperty("titleBarInfo")]
		public TitleBarInfo TitleBarInfo { get; set; } = new();
		
		[JsonProperty("IdData")]
		public IDIS_IdData[] IdData { get; set; }=Array.Empty<IDIS_IdData>();
		
	}
}