using System;
using Newtonsoft.Json;

namespace IDIS.Models
{
	/// <summary>
	/// 基于IDIS v1的标识模板值
	/// </summary>
	public record IDIS_Template_Item
	{
		public IDIS_Template_Item(){}
		public IDIS_Template_Item(string name,string idType)
		{
			Name = name;
			IdType = idType;
		}
		[JsonProperty("name")]
		public string Name { get; set; } = string.Empty;
		[JsonProperty("idType")]
		public string IdType { get; set; } = string.Empty;
		[JsonProperty("metaData")]
		public IDIS_Template_Item_MetaData MetaData { get; set; }
	}
}