using System;
using Newtonsoft.Json;

namespace IDIS
{

	public record IDIS_Template_Item_MetaData
	{
		public IDIS_Template_Item_MetaData()
		{
			
		}
		public IDIS_Template_Item_MetaData(string type)
		{
			Type = type;
		}
		[JsonProperty("type")] public string Type { get; set; } = nameof(String);
		[JsonProperty("minLength")]
		public int MinLength { get; set; }
		[JsonProperty("maxLength")]
		public int MaxLength { get; set; }
	}
}