
using System;
using Newtonsoft.Json;

namespace IDIS.Models
{
	public class IDIS_MetaDataInfo
	{
		public IDIS_MetaDataInfo()
		{
			
		}
		public IDIS_MetaDataInfo(string industryCategory, string industrySpecific)
		{
			IndustryCategory = industryCategory;
			IndustrySpecific = industrySpecific;
		}

		[JsonProperty("industryCategory")]
		public string IndustryCategory { get; set; } = nameof(IndustryCategory);
		
		[JsonProperty("industrySpecific")]
		public string IndustrySpecific { get; set; } = nameof(IndustrySpecific);
		
		[JsonProperty("itemVOS")]
		public IDIS_ItemVOS[] ItemVOS { get; set; } = Array.Empty<IDIS_ItemVOS>();
	}
}