using Newtonsoft.Json;

namespace IDIS.Models;
[Serializable]
public record IDIS_Query_Data
{
	public record QueryData
	{
		[JsonProperty("format")]
		public string Format;
		[JsonProperty("value")]
		public string Value;
	}
	public record QueryInfo
	{
		[JsonProperty("data")]
		public QueryData Data;
		[JsonProperty("auth")]
		public string Auth;
		[JsonProperty("index")]
		public int Index;
		[JsonProperty("type")]
		public string Type;
	}
	[JsonProperty("code")]
	public int Code;
	[JsonProperty("prefix")]
	public string Prefix;
	[JsonProperty("handle")]
	public string Handle;
	[JsonProperty("templateVersion")]
	public string TemplateVersion;
	[JsonProperty("value")]
	public QueryInfo[] Value=Array.Empty<QueryInfo>();
}